/* -*- coding: euc-jp-unix -*-
 *
 * ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Moz2ch.
 *
 * The Initial Developer of the Original Code is Moz2ch Project.
 * Portions created by the Initial Developer are Copyright (C) 2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/**
 * <pre lang="ja">
 * (_(    
 * ( `)   RDF + <tree> ΎÎю؎̎ߎĎӎŎ
 * (      )     : 2003/02/22
 *      񤤤  : ˼⤸顼
 * (___)__)   Ď؎ˎގ: 
 *            
 *
 * - ά
 * Ȥꤢ졣
 *     nsIRDFService.GetDataSource(FileURI)
 * äơǡä
 *     nsIRDFDataSource.Assert
 * ǥƥʤɲäȤϤФ
 * ƥʤˤ
 *     nsIRDFContainerUtils.MakeSeq
 * ȤФ
 * ǡäƥ꥽
 *     nsIRDFContainer.AppendElement
 * ȤäƤƤȡˤĤäࡣ
 * nsIRDFResourceκϡ¿ʬ
 *     nsIRDFResource.Init(URI)
 * Ǥ
 *
 * - Ÿ˾
 * ItaTreeС쥤ʤ󤫺äƤƤȡˤä
 * addCategoryȤaddItaȤޤäǡ
 * </pre>
 */

function getNode(title, url, type) {
    var args = ["title", "url", "type"];
    var res = getResource(url);

    for (var i = 0; i < args.length; i++) {
        var prop = getResource(MOZ2CH_NS + args[i]);
        var value = rdfService.GetLiteral(eval(args[i]));
        getDataSource().Assert(res, prop, value, true);
    }

    return res;
}

// 桼ƥơʴؿ
function examine(obj) {
    var s = "";
    for (var i in obj) {
        try {
            if (obj[i].toString().indexOf("[native code]") > -1)
                s += i + " = [native code]\n";
            else
                s += i + " = " + obj[i] + "\n";
        } catch (e) {
            s += i + "\n";
        }
    }
    debug(s);
    debug(obj);
}

function debug(msg) {
    document.getElementById("debugBox").value =
            "----------------------------------------------------------------\n" +
            msg + "\n" +
            document.getElementById("debugBox").value;
}

/////////////////////////////////////////////
// ͎ގݎĎʎݎĎގ׎(ߢώ)!!!!

/*
function onAdd() {
    var title = document.getElementById("titleBox").value;
    var url = document.getElementById("urlBox").value;
    var type = document.getElementById("typeBox").value;

    var seq = getSeq("http://www.2ch.net/");
    var node = getNode(title, url, type);
    seq.AppendElement(node);
    updateDataSource();
}
*/
