/* -*- coding: euc-jp-unix -*-
 *
 * ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Moz2ch.
 *
 * The Initial Developer of the Original Code is Moz2ch Project.
 * Portions created by the Initial Developer are Copyright (C) 2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/**
 * <pre lang="ja">
 * (_(    
 * ( `)   Υ饹ʡ
 * (      )     : 2005/01/14
 *      񤤤  : ˼⤸顼
 * (___)__)   ȥӥݥ: (ϡ)(ϡ) tRZ80FPU5k
 *                        ؤ41
 *                        
 *                        
 *            
 *            
 * </pre>
 */

var reg_resnolink_jbbs = new RegExp("<a href=\"\/bbs\/read\.cgi\/[a-zA-Z0-9]+\/[0-9]+\/[0-9]+\/([0-9]{1,4})(-[0-9]{1,4})?\" target=\"_blank\">","g");
var reg_resnotolink_jbbs = new RegExp('([^"]>|[^<;]|[^>]&gt;)&gt;([0-9]{1,4})',"g");

function moz2chJbbsSure(ita, title, url) {
    this.base = moz2chSure;
    this.base(ita, title, url);

    this.bbsId = "jbbs";
    var a = this.url.split("/");
    // http://pc.2ch.net/test/read.cgi/tech/1024757183/l50
    this.datID = a.pop(); 
    if ( ! this.datID.match(/[0-9]{5}/)) { //datIDθ"/"̵б
	this.datID = a.pop(); // remove last null (or nonused) string
    }
    this.itaID = a.pop();
    this.sabaID = a.pop();

    this.sureClassName = "moz2chJbbsSure";
    this.sureAcq = this.ita.getAttribute(this.datID + ".dat", "sureAcq");
}

/////////////////////
// extends moz2chSure
moz2chJbbsSure.prototype = new moz2chSure();

moz2chJbbsSure.prototype.getDataURL =
function () {
    if(!this.sureAcq || this.sureAcq == 0){
	return "http://jbbs.livedoor.jp/bbs/rawmode.cgi/" + this.sabaID + "/" + this.itaID + "/" + this.datID + "/";
    }else{
	var num = parseInt(this.sureAcq) + 1;
	return "http://jbbs.livedoor.jp/bbs/rawmode.cgi/" + this.sabaID + "/" + this.itaID + "/" + this.datID + "/" + num + "-";
    }
};

moz2chJbbsSure.prototype.get =
function () {
    // initialize data
    this.oldData = this.data;
    this.data = "";
    
    this.uri.spec = this.getDataURL();
	this.channel = this.ioService.newChannelFromURI(this.uri)
	    .QueryInterface(Components.interfaces.nsIHttpChannel);
	// Monazilla UA
	this.channel.setRequestHeader("User-Agent", moz2ch.ua, false);
	// load bypass cache(strong reload)
	this.channel.loadFlags =
	    Components.interfaces.nsIRequest.LOAD_BYPASS_CACHE;
    moz2ch.debug("moz2chData.get: dataURL=" + this.getDataURL());
    moz2ch.debug("moz2chData.get: loadFlags=" + this.channel.loadFlags);
    this.onRequest();
    moz2ch.status(moz2ch.getString("checkdata"));
    // arg 3 is invalid? needs to be reconsidered!
    this.channel.asyncOpen(this, this, 0);
    
};

/////////////////
// parse the data

moz2chJbbsSure.prototype.jbbsdat22chdat = 
function () {
    var jhtml = this.data;
    var lines = new Array();
    var cntres = 0;
    var count = 0;
    var dat = "";
    var data = new Array();

    lines = jhtml.split("\n");

    for (var i = 0; i < (lines.length-1); i++) {
        cntres++;
	data = lines[i].split("<>");
	count = data[0];
	data[4] = data[4].replace(/<a href=\"http:\/\/.*\">(http:\/\/.*)<\/a>/g, "$1");
	for (var j = cntres; j < count ;j++){
	    dat +=" ܡ<>ܡ<>ܡ<>ܡ<>\n";
	}
	cntres = count;
        dat += data[1]+"<>"+data[2]+"<>"+data[3]+" ID:"+data[6]+"<>"+data[4]+"<>"+data[5]+"\n";
    }
    return dat;
};

moz2chJbbsSure.prototype.jbbsdat22chdat_sabun = 
function (sureAcq) {
    var jhtml = this.data;
    var lines = new Array();
    var cntres = sureAcq;
    var count = 0;
    var dat = "";
    var data = new Array();

    lines = jhtml.split("\n");

    for (var i = 0; i < (lines.length-1); i++) {
	data = lines[i].split("<>");
	    if(data[0] > sureAcq){
            cntres++;
            data = lines[i].split("<>");
	    count = data[0];
	    data[4] = data[4].replace(/<a href=\"http:\/\/.*\">(http:\/\/.*)<\/a>/g, "$1");
	    for (var j = cntres; j < count ;j++){
	        dat +=" ܡ<>ܡ<>ܡ<>ܡ<>\n";
	    }
	    cntres = count;
            dat += data[1]+"<>"+data[2]+"<>"+data[3]+" ID:"+data[6]+"<>"+data[4]+"<>"+data[5]+"\n";
	}
    }
    return dat;
};

moz2chJbbsSure.prototype.dataConvert =
function () {
    var data = moz2chCharset.euc2uni(this.data);

    // NULLʎގкޤʤन
    // data = data.replace(/\0/g, "*");
    // $üʸƤޤΤǡ餫$$Ѵ
    data = data.replace(/\$/g, "$$$$");
    data = data.replace(/&amp([^;])/gi, "&$1");

	// &ʸк
	data = this.checkEntity(data);

	return data;
};

moz2chJbbsSure.prototype.makeSabun =
function () {
	var sabun = moz2chCharset.euc2uni(this.sabun);

    sabun = sabun.replace(/\$/g, "$$$$");
    sabun = sabun.replace(/&amp([^;])/gi, "&$1");

	return sabun;
};

moz2chJbbsSure.prototype.setSureAcq =
function (l, sl) {
	//Ѥߤͤ򥻥ơݥ
	this.ita.setAttribute(this.datID + ".dat", "sureAcq", l - 1);
	if(this.sabun){
	    this.ita.setAttribute(this.datID + ".dat", "sureNew", (l - 1) - this.sureAcq);
	    this.sabun = null;
	}
	this.sureAcq = l - 1;
};

moz2chJbbsSure.prototype.parseRes = 
function (num, name, mail, date, msg) { 
    var mailname;
    if(mail.match("http://")){
	moz2ch.debug(mail);
	mailname = '<span style="color:green"><a href="' + mail + '"><b>' + name + '</b></a></span>';
    }else{
	mailname = (mail) ? '<span style="color:green"><a href="mailto:' + mail + '"><b>' + name + '</b></a></span>' : '<span style="color:green"><b>' + name + '</b></span>';
    }
    var nameonly = '<span style="color:green"><b>' + name + '</b></span>';
    if ( num > this.sureAcq )
        var htmlRes = this.htmlNewres;
    else
        var htmlRes = this.htmlRes;

    return htmlRes.replace( reg_num, '<a name="' + num + '"></a><a href="#kakiko' + num + '">' + num + '</a>')
                       .replace(reg_msg, msg)
                       .replace(reg_resnolink_jbbs, '<a href="#$1">')
                       .replace(reg_resnotolink_jbbs, '$1<a href="#$2">&gt;$2</a>')
                       .replace(reg_normal_link, '$1<a href="http\:$3" target="_blank">$2\:$3</a>')
                       .replace(reg_normal_sshlink, '$1<a href="https\:$3" target="_blank">$2s\:$3</a>')
                       .replace(reg_ftp_link, '<a href="ftp:$1" target="_blank">ftp:$1</a>')
                       .replace(reg_http_abone_link, "$1$2:$3")
                       .replace(reg_ftp_abone_link, "ftp:$1")
                       .replace( reg_plainnum, num)
                       .replace( reg_mailname, mailname)
                       .replace( reg_name, nameonly)
                       .replace( reg_mail, mail)
                       .replace( reg_date, date)
					   .replace( reg_id_abone_link, 'ID:<a href="#idabone_$1">$1</a>');

};

moz2chJbbsSure.prototype.onRequest =
function () {
};

moz2chJbbsSure.prototype.res200 =
function () {
	if(!this.sureAcq || this.sureAcq == 0){
		this.oldData = "";
	    this.data = this.jbbsdat22chdat();
	    var data = moz2chCharset.euc2uni(this.data);
	    data = data.replace(/\$/g, "$$$$");
	    data = data.replace(/&amp([^;])/gi, "&$1");
	    var lines = new Array();
	    lines = data.split("\n");
	    this.ita.setAttribute(this.datID + ".dat", "sureNew", lines.length - 1);
		return 0;
	}else{
	    var tempData = this.jbbsdat22chdat_sabun(this.sureAcq);
	    var data = tempData;
	    var lines = new Array();
	    lines = data.split("\n");
	    if(lines.length > 1){
			this.data = lines.join("\n");
			this.sabun = this.data;
			this.data = this.oldData + this.data;
			this.oldData = "";
			return 0;
	    }else{
			this.data = this.oldData;
			this.oldData = "";
			if(!this.ita.getAttribute(this.datID + ".dat", "sureNew"))
		    	this.ita.setAttribute(this.datID + ".dat", "sureNew", 0);
			if(this.ita == moz2ch.itaView.data)
		    	moz2ch.itaView.element.mCurrentTree.treeBoxObject.invalidate();
			moz2ch.status();	
			moz2ch.defaultStatus(moz2ch.getString("nonchange"));
			return 1;
	    }
	}
};

moz2chJbbsSure.prototype.saveLastModified =
function () {
};
