/* -*- coding: euc-jp-unix -*-
 *
 * ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Moz2ch.
 *
 * The Initial Developer of the Original Code is Moz2ch Project.
 * Portions created by the Initial Developer are Copyright (C) 2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/**
 * <pre lang="ja">
 * (_(    
 * ( `)   ޤ££ĤΥ饹ʡ
 * (      )     : 2004/06/11
 *      񤤤  : ؤ41
 * (___)__)   Ď؎ˎގ:
 *                      : 
 *            
 *            
 * </pre>
 */

function moz2chMachiIta(itaTree, title, url) {
    this.base = moz2chIta;
    this.base(itaTree, title, url);
    this.itaTree = itaTree;

    this.bbsId = "machi";

    //http://tokyo.machi.to/tokyo/
    var a = this.url.split("/");
    a.pop(); // remove last null (or nonused) string
    this.itaID = a.pop();
    this.sabaID = a.slice(2).join("/");

}

/////////////////////////
// extends moz2chTreeData
moz2chMachiIta.prototype = new moz2chIta();

/////////////////////////////////
// title/log/download information

moz2chMachiIta.prototype.getSureURL =
function (dat) {
    var datNum = dat.split(".")[0];
    return "http://" + this.sabaID + "/bbs/read.pl?BBS=" + this.itaID + "&KEY=" + datNum;
};

/////////////////
// parse the data

moz2chMachiIta.prototype.mainParse =
function (lines) {
    var re = /(.+?\.cgi),(.*)\(([0-9]{1,4})\)/;
    for (var i = 0; i < lines.length; i++) {
        var ret = re.exec(lines[i]);
        if (ret) {
            ret[2] = ret[2].replace(/&quot;/gi, "\"");
            ret[2] = ret[2].replace(/&lt;/gi, "<");
            ret[2] = ret[2].replace(/&gt;/gi, ">")
            this.addSure(i + 1, ret[2], ret[3], ret[1]);
        }
    }
};
