/* -*- coding: euc-jp-unix -*-
 *
 * ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Moz2ch.
 *
 * The Initial Developer of the Original Code is Moz2ch Project.
 * Portions created by the Initial Developer are Copyright (C) 2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/**
 * <pre lang="ja">
 * (_(    
 * ( `)   ƥ९åץܡɥ饹
 * (      )     : 2004/05/03
 *      񤤤  : ؤ41
 * (___)__)   Ď؎ˎގ: 
 *                        
 *            
 * </pre>
 */

var moz2chClipboard = {
   
    //åץܡɥݡͥ
    clip: Components.classes["@mozilla.org/widget/clipboard;1"]
                .createInstance(Components.interfaces.nsIClipboard),
    //žݡͥ
    trans: Components.classes["@mozilla.org/widget/transferable;1"]
                .createInstance(Components.interfaces.nsITransferable),

    init: function () {
        this.trans.addDataFlavor("text/unicode");
    },

    setText: function ( text ) {
        var str = Components.classes["@mozilla.org/supports-string;1"]
                      .createInstance(Components.interfaces.nsISupportsString);
        str.data = text;
        this.trans.setTransferData("text/unicode", str, text.length*2);
        this.clip.emptyClipboard(this.clip.kGlobalClipboard);
        this.clip.setData(this.trans, null, this.clip.kGlobalClipboard);
    },

    getText: function () {
        this.clip.getData(this.trans, this.clip.kGlobalClipboard);
        var str = new Object();
        var length = new Object();
        this.trans.getTransferData("text/unicode", str, length);
        return str.value.QueryInterface(Components.interfaces.nsISupportsString).data;
    },
};

moz2chClipboard.init();