/* -*- coding: euc-jp-unix -*-
 *
 * ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Moz2ch.
 *
 * The Initial Developer of the Original Code is Moz2ch Project.
 * Portions created by the Initial Developer are Copyright (C) 2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/**
 * <pre lang="ja">
 * (_(    
 * ( `)   <pref> 
 * (      )     : 2004/05/04
 *      񤤤  : ؤ41
 * (___)__)   Ď؎ˎގ: (ߢώ)(ߢώ) tRZ80FPU5k
 *            ɽ¤ͭˤʤä
 *            
 * </pre>
 */

var moz2ch = opener.moz2ch;

var gList;
var gNameArc;
var gBookmarksFolderId;

function moz2chPrefView() {
  
};

moz2chPrefView.prototype = {
    load: function () {
        try {
            var element;

            // general
            element = document.getElementById("skinNameText"); 
	    element.value = nsPreferences.getLocalizedUnicharPref("moz2ch.skin");

            element = document.getElementById("skinCheckFlag"); 
	    element.checked = nsPreferences.getBoolPref("moz2ch.skinCheckFlag");

            element = document.getElementById("enable3Columns"); 
            element.checked = nsPreferences.getBoolPref("moz2ch.enable3columns");

	    //Board Tree
            element = document.getElementById("itaTreeURLText"); 
	    element.value = nsPreferences.getLocalizedUnicharPref("moz2ch.itatreeurl");
	    element = document.getElementById("enableBTReloadonBoot");
            element.checked = nsPreferences.getBoolPref("moz2ch.enableBTReload");
	    
	    // ita
	    element = document.getElementById("resetExtract");
	    element.checked = nsPreferences.getBoolPref("moz2ch.resetExtract");

            // sure
            element = document.getElementById("enableImgPopup"); 
            element.checked = nsPreferences.getBoolPref("moz2ch.enableImgPopup",true);
	    element = document.getElementById("popupColor");
	    element.value = nsPreferences.getLocalizedUnicharPref("moz2ch.popupColor");
	    
            element = document.getElementById("sureCountDefault"); 
	    element.value = nsPreferences.getIntPref("moz2ch.sureCountDefault");
            element = document.getElementById("sureDisplayAbone"); 
	    element.checked = nsPreferences.getBoolPref("moz2ch.sureDisplayAbone");
	    element = document.getElementById("sureNormalLinkwithTab"); 
	    element.checked = nsPreferences.getBoolPref("moz2ch.sureNormalLinkwithTab");

            // debug
            element = document.getElementById("debugAreaNum"); 
	    element.value = nsPreferences.getIntPref("moz2ch.debugMax");

            this.initBookmark();

        }catch(e){
	    alert(e);
        }
    },

    apply: function () {
        try {
            // general˥塼
            if ( document.getElementById("skinNameText").value )
	       nsPreferences.setUnicharPref("moz2ch.skin", document.getElementById("skinNameText").value);
            if ( document.getElementById("skinCheckFlag").checked != nsPreferences.getBoolPref("moz2ch.skinCheckFlag") ) {
                nsPreferences.setBoolPref("moz2ch.skinCheckFlag", document.getElementById("skinCheckFlag").checked);
            }
            if ( document.getElementById("enable3Columns").checked != nsPreferences.getBoolPref("moz2ch.enable3columns") ) {
                nsPreferences.setBoolPref("moz2ch.enable3columns", document.getElementById("enable3Columns").checked);
            }
	    // Board Tree˥塼
            if ( document.getElementById("itaTreeURLText").value ){
                nsPreferences.setUnicharPref("moz2ch.itatreeurl", document.getElementById("itaTreeURLText").value);
	    }
            if ( document.getElementById("enableBTReloadonBoot").checked != nsPreferences.getBoolPref("moz2ch.enableBTReload") ){
                nsPreferences.setBoolPref("moz2ch.enableBTReload", document.getElementById("enableBTReloadonBoot").checked);
	    }
	    // ita˥塼
	    if ( document.getElementById("resetExtract").checked != nsPreferences.getBoolPref("moz2ch.resetExtract") )
                nsPreferences.setBoolPref("moz2ch.resetExtract", document.getElementById("resetExtract").checked);
            // sure˥塼
            if ( document.getElementById("enableImgPopup").checked != nsPreferences.getBoolPref("moz2ch.enableImgPopup") )
                nsPreferences.setBoolPref("moz2ch.enableImgPopup", document.getElementById("enableImgPopup").checked);
            if ( document.getElementById("popupColor").value ){
                nsPreferences.setUnicharPref("moz2ch.popupColor", document.getElementById("popupColor").value);
	    }
            if ( document.getElementById("sureCountDefault").value ){
                nsPreferences.setIntPref("moz2ch.sureCountDefault", document.getElementById("sureCountDefault").value);
	    }
            if ( document.getElementById("sureDisplayAbone").checked != nsPreferences.getBoolPref("moz2ch.sureDisplayAbone") )
                nsPreferences.setBoolPref("moz2ch.sureDisplayAbone", document.getElementById("sureDisplayAbone").checked);
	    if ( document.getElementById("sureNormalLinkwithTab").checked != nsPreferences.getBoolPref("moz2ch.sureNormalLinkwithTab") )
                nsPreferences.setBoolPref("moz2ch.sureNormalLinkwithTab", document.getElementById("sureNormalLinkwithTab").checked);
            // debug˥塼
            if ( document.getElementById("debugAreaNum").value ){
                nsPreferences.setIntPref("moz2ch.debugMax", document.getElementById("debugAreaNum").value);
	    }
	    try{
            nsPreferences.setUnicharPref("moz2ch.bookmarks.folderId", gList.selectedItem.id);
	    }catch(e){}
        } catch (e) {
	    alert(e);
        }
    },

    initBookmark: function() {
	try{
        initServices();
        initBMService();
        
        gBookmarksFolderId = nsPreferences.getLocalizedUnicharPref("moz2ch.bookmarks.folderId");
	try{
	    gNameArc = RDF.GetResource(NC_NS + "Name");
	}catch(e){
	    gNameArc = RDF.GetResource(gNC_NS + "Name");
	}
	    gList = document.getElementById("bookmarkMenu");
        var popup = document.getElementById("bookmarkPopup");

        // clearing the old menupopup
        while (popup.hasChildNodes()){
            popup.removeChild(popup.firstChild);
        }

	var element;
	try{
	    element = document.createElementNS(XUL_NS, "menuitem");
	}catch(e){
	    element = document.createElementNS(gXUL_NS, "menuitem");
	}
        element.setAttribute("label", "Bookmarks");
        element.setAttribute("id", "NC:BookmarksRoot");
        popup.appendChild(element);

        var folder = RDF.GetResource("NC:BookmarksRoot");
	    this.fillFolder(popup, folder, 1);
        if(gList.selectedIndex == -1){
            gList.selectedIndex = 0;
			gBookmarksFolderId = "NC:BookmarksRoot";
        }
	}catch(e){}
    },

    fillFolder:function (aPopup, aFolder, aDepth){
	    RDFC.Init(BMDS, aFolder);
	var children = RDFC.GetElements();
	while (children.hasMoreElements()){
		var curr = children.getNext();
		if (RDFCU.IsContainer(BMDS, curr)) {
			curr = curr.QueryInterface(Components.interfaces.nsIRDFResource);
			var element;
			try{
			    element = document.createElementNS(XUL_NS, "menuitem");
			}catch(e){
			    element = document.createElementNS(gXUL_NS, "menuitem");
			}
			var name = BMDS.GetTarget(curr, gNameArc, true).QueryInterface(kRDFLITIID).Value;
			var indentation = new Array(aDepth + 1).join("   ");
			element.setAttribute("label", indentation + name);
			element.setAttribute("id", curr.Value);
			aPopup.appendChild(element);
			if (curr.Value == gBookmarksFolderId){
				gList.selectedItem = element;
			}
			this.fillFolder(aPopup, curr, ++aDepth);
			--aDepth;
		}
    }
    },



};

var prefView = new moz2chPrefView();

function moz2chPrefOK(){
    prefView.apply();
    window.close();
};

function moz2chPrefCancel(){
    window.close();
};

function moz2chPrefApply(){
    prefView.apply();
};

function moz2chPrefLoad() {
    prefView.load();
};
